[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# EArgumentOutOfRangeException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Argument out of valid range passed to a function

## Declaration

Source position: sysutilh.inc line 221

`type EArgumentOutOfRangeException = class(EArgumentException)`

## Inheritance

`EArgumentOutOfRangeException` |  | Argument out of valid range passed to a function
`EArgumentException` |  | Invalid argument passed to a function
`Exception` |  | Base class of all exceptions.
`TObject`

## Description

EArgumentOutOfRangeException is raised by many character conversion/handling routines to indicate an erroneous argument was passed to the function (indicating an invalid character index in a Unicode string).

## See also

EArgumentException |  | Invalid argument passed to a function